# all files / ol/format/filter/ greaterthanorequalto.js

100% Statements 6/6
100% Branches 0/0
100% Functions 1/1
100% Lines 6/6

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    211×

    1×
    1×

    1×
    1×

    1×
     goog.provide('ol.format.filter.GreaterThanOrEqualTo');

    goog.require('ol');
    goog.require('ol.format.filter.ComparisonBinary');

    /**
     * @classdesc
     * Represents a `<PropertyIsGreaterThanOrEqualTo>` comparison operator.
     *
     * @constructor
     * @param {!string} propertyName Name of the context property to compare.
     * @param {!number} expression The value to compare.
     * @extends {ol.format.filter.ComparisonBinary}
     * @api
     */
    ol.format.filter.GreaterThanOrEqualTo = function(propertyName, expression) {
      ol.format.filter.ComparisonBinary.call(this, 'PropertyIsGreaterThanOrEqualTo', propertyName, expression);
    };
    ol.inherits(ol.format.filter.GreaterThanOrEqualTo, ol.format.filter.ComparisonBinary);